<?php

    $config_keys = ['background_container', 'text_header', 'button_color', 'email_input', 'password_input', 'checkbox_text', 'posicion', 'forgot_create', 'animation_effect', 'texto_login', 'texto_email_placeholder', 'texto_password_placeholder', 'texto_terminos', 'texto_boton', 'texto_forgot', 'texto_crear_cuenta', 'css_placeholder', 'css_focus', 'css_general', 'contenido_sidebar', 'contenido_terminos'];

    $config = [];

    foreach ($config_keys as $key) {
        $config[$key] = $this->Config_model->get_config_value($key);
    }

    // Asignar las configuraciones a variables
    $background_container = isset($config['background_container']['value']) ? $config['background_container']['value'] : '';
    $text_header          = isset($config['text_header']['value']) ? $config['text_header']['value'] : '';
    $button_color         = isset($config['button_color']['value']) ? $config['button_color']['value'] : '';

    $email_input    = isset($config['email_input']['value']) ? $config['email_input']['value'] : '';
    $password_input = isset($config['password_input']['value']) ? $config['password_input']['value'] : '';
    $checkbox_text  = isset($config['checkbox_text']['value']) ? $config['checkbox_text']['value'] : '';
    $posicion       = isset($config['posicion']['value']) ? $config['posicion']['value'] : '';
    $forgot_create  = isset($config['forgot_create']['value']) ? $config['forgot_create']['value'] : '';

    $animation_effect = isset($config['animation_effect']['value']) ? $config['animation_effect']['value'] : '';

    $texto_login                = isset($config['texto_login']['value']) ? $config['texto_login']['value'] : '';
    $texto_email_placeholder    = isset($config['texto_email_placeholder']['value']) ? $config['texto_email_placeholder']['value'] : '';
    $texto_password_placeholder = isset($config['texto_password_placeholder']['value']) ? $config['texto_password_placeholder']['value'] : '';
    $texto_terminos             = isset($config['texto_terminos']['value']) ? $config['texto_terminos']['value'] : '';
    $texto_boton                = isset($config['texto_boton']['value']) ? $config['texto_boton']['value'] : '';
    $texto_forgot               = isset($config['texto_forgot']['value']) ? $config['texto_forgot']['value'] : '';
    $texto_crear_cuenta         = isset($config['texto_crear_cuenta']['value']) ? $config['texto_crear_cuenta']['value'] : '';

    $css_placeholder = isset($config['css_placeholder']['value']) ? $config['css_placeholder']['value'] : '';

    $css_focus = isset($config['css_focus']['value']) ? $config['css_focus']['value'] : '';

    $css_general = isset($config['css_general']['value']) ? $config['css_general']['value'] : '';

    $contenido_sidebar = isset($config['contenido_sidebar']['value']) ? $config['contenido_sidebar']['value'] : '';

    $contenido_terminos = isset($config['contenido_terminos']['value']) ? $config['contenido_terminos']['value'] : '';
?>




    <style>


        .content {
            padding: 20px;
            transition: margin-left 0.3s;
        }



        .sidebar {
            min-width: 360px; /* Ancho del sidebar */
            height: 100%;
            background-color: #333;
            position: fixed;
            top: 0;
            left: -360px; /* Oculto por defecto */
            transition: left 0.3s ease;
            z-index: 1000;
            padding-top: 60px;
        }


/* Media query para ajustar el contenido solo si el ancho del navegador es mayor o igual a 1128px */
@media (min-width: 1128px) {
    .content.shifted {
        margin-left: 360px; /* Desplaza el contenido solo en pantallas grandes */
    }
}

        .sidebar a {
            padding: 10px 15px;
            text-decoration: none;
            font-size: 18px;
            color: #818181;
            display: block;
            transition: 0.3s;
        }

        .sidebar a:hover {
            color: #f1f1f1;
        }

        .sidebar .closebtn {
            position: absolute;
            top: 0;
            right: 25px;
            font-size: 36px;
        }




        #openSidebarBtn {
            font-size: 20px;
            cursor: pointer;
            position: fixed;
            top: 20px;
            left: 20px;
            z-index: 2;
        }



        .custom-width {
            width: 100vw;
            max-width: 360px;
            min-width: 280px;
        }

        .custom-height {
            height: 90vh;
            max-height: 650px;
            min-height: 500px;
        }


              .form-container {
            width: 100% ;
            max-width: 360px;
            min-width: 280px;
            box-sizing: border-box;


        }


         /* Estilo por defecto para el modal */
    .modal-dialog {
        max-width: 50vw; /* Ancho máximo en vistas grandes */
        margin: 1.75rem auto; /* Margen superior e inferior */
    }

    .modal-body {
        max-height: 60vh; /* Altura máxima de la ventana del modal en pantallas pequeñas */
        overflow-y: auto; /* Hacer scroll si el contenido es demasiado grande */
    }

    /* Estilo para pantallas pequeñas */
    @media (max-width: 576px) {
        .modal-dialog {
            max-width: 100vw; /* Ancho máximo en pantallas pequeñas */
            margin: 0; /* Sin margen en pantallas pequeñas */
        }

        .modal-content {
            height: 100vh; /* Altura completa de la ventana en pantallas pequeñas */
            margin: 0; /* Sin margen en pantallas pequeñas */
        }
    }

                input::placeholder {
            /* Estilo del placeholder */
        }

        input:focus {
            /* Estilo del input al enfocarse */
        }





        .hidden {
            display: none;
        }



        .password-container {
            position: relative;
        }
        .password-container .form-control {
            padding-right: 40px;
        }
        .password-container i {
            position: absolute;
            right: 10px;
            top: 50%;
            transform: translateY(-50%);
            cursor: pointer;
        }

    </style>


        <?php echo $css_general; ?>
<div class="content">
    <?php echo $contenido_sidebar; ?>
</div>

    <div id="sidebar" class="sidebar">
        <a href="javascript:void(0)" class="closebtn" onclick="closeSidebar()">&times;</a>
        <div class="gradient-background" style="height: 100vh;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               <?php echo $posicion; ?>" class="custom-width custom-height d-flex align-items-center justify-content-center">
            <div class="animate__animated                                                                                                                                                                                                                                                                                                                                         <?php echo isset($animation_effect) ? 'animate__' . $animation_effect : ''; ?>" style="<?php echo $background_container; ?>">


  <!-- Aquí renderizas la salida del plugin en el lugar que desees -->
    <?php echo isset($output) ? $output : '' ?>


                <div id="loginTitle" class="form-title text-center mb-4">
                    <h1 style="<?php echo $text_header; ?>"><?php echo $texto_login; ?></h1>


                </div>
                <div id="forgotTitle"  class="form-title text-center mb-0 hidden">
                    <h1><?php echo $this->lang->line('Forgot Password'); ?></h1>
                </div>
                <div id="registerTitle"  class="form-title text-center mb-0 hidden">
                    <h1><?php echo $this->lang->line('Register Account'); ?></h1>
                </div>

                <!-- Mensajes de error y éxito -->
                <div id="alertMessage" class="alert hidden"></div>

                <!-- Login Form -->
                <form id="loginForm" method="post" action="<?php echo base_url('auth/login_sidebar'); ?>" class="form-container">
                    <input type="hidden" name="<?php echo $this->security->get_csrf_token_name(); ?>" value="<?php echo $this->security->get_csrf_hash(); ?>" />
                    <div class="form-group">
                        <input style="<?php echo $email_input; ?>" type="email" class="form-control" id="login_email" placeholder="<?php echo $texto_email_placeholder; ?>" name="login_email">
                        <?php echo form_error('login_email', '<small class="text-danger pl-3">', '</small>'); ?>
                    </div>
                    <div class="form-group password-container">
                        <input style="<?php echo $password_input; ?>" type="password" class="form-control" id="login_password" placeholder="<?php echo $texto_password_placeholder; ?>" name="login_password">
<!--                         <i class="far fa-eye" id="togglePassword" style="cursor: pointer;"></i> -->
                        <?php echo form_error('login_password', '<small class="text-danger pl-3">', '</small>'); ?>
                    </div>

                    <div class="form-group">
                        <div class="custom-control custom-checkbox" style="<?php echo $checkbox_text; ?>">
                            <div id="acceptTermsContainer"> <!-- solo lo tiene esta-->
                            <input type="checkbox" class="custom-control-input" id="acceptTerms" name="acceptTerms">
                            <label class="custom-control-label" for="acceptTerms">
                                <span style="cursor:pointer;<?php echo $checkbox_text; ?>" data-toggle="modal" data-target="#termsModal"><?php echo $texto_terminos; ?></span>
                            </label>
                        </div>
                        </div>
                        <?php echo form_error('acceptTerms', '<small class="text-danger pl-3">', '</small>'); ?>
                    </div>
                    <div class="text-center">
                        <button type="button" id="signInBtn" class="btn btn-primary btn-block" style="<?php echo $button_color; ?>" onclick="handleFormSubmit('loginForm', '<?php echo base_url('auth/login_sidebar'); ?>')"><?php echo $texto_boton; ?></button>
                    </div>
                    <br>
                    <?php if ($activar_registro): ?>
                    <div id="dynamic-color" style="<?php echo $forgot_create; ?>">
                        <div class="text-center">
                            <a href="javascript:void(0);" onclick="showForm('forgotForm', 'forgotTitle')"><?php echo $texto_forgot; ?></a>
                        </div>
                        <div class="text-center">
                            <a href="javascript:void(0);" onclick="showForm('registerForm', 'registerTitle')"><?php echo $texto_crear_cuenta; ?></a>
                        </div>
                    </div>
                    <?php endif;?>
                </form>

                <!-- Forgot Password Form -->
                <form id="forgotForm" method="post" action="<?php echo base_url('auth/forgotPassword_sidebar'); ?>" class="form-container hidden">
                    <input type="hidden" name="<?php echo $this->security->get_csrf_token_name(); ?>" value="<?php echo $this->security->get_csrf_hash(); ?>" />
                    <div class="form-group">
                        <input style="<?php echo $email_input; ?>" type="text" class="form-control" id="forgot_email" placeholder="<?php echo $this->lang->line('Enter Email Address...'); ?>" name="forgot_email" value="<?php echo set_value('forgot_email'); ?>">
                        <?php echo form_error('forgot_email', '<small class="text-danger pl-3">', '</small>'); ?>
                    </div>
                    <div class="text-center">
                        <button type="button" class="btn btn-primary btn-block" style="<?php echo $button_color; ?>" onclick="handleFormSubmit('forgotForm', '<?php echo base_url('auth/forgotPassword_sidebar'); ?>')">
                            <?php echo $this->lang->line('Reset'); ?>
                        </button>
                    </div>
                    <br>
                    <div class="text-center" style="<?php echo $forgot_create; ?>">
                        <a id="back1"  href="javascript:void(0);" onclick="showForm('loginForm', 'loginTitle')"><?php echo $this->lang->line('Back to Login'); ?></a>
                    </div>
                </form>

                <!-- Registration Form -->
                <form id="registerForm" method="post" action="<?php echo base_url('auth/registration_sidebar'); ?>" class="form-container hidden">
                    <input type="hidden" name="<?php echo $this->security->get_csrf_token_name(); ?>" value="<?php echo $this->security->get_csrf_hash(); ?>" />
                    <div class="form-group">
                        <input style="<?php echo $email_input; ?>" type="text" class="form-control" id="reg_name" placeholder="<?php echo $this->lang->line('Full Name'); ?>" name="reg_name" value="<?php echo set_value('reg_name'); ?>">
                        <?php echo form_error('reg_name', '<small class="text-danger pl-3">', '</small>'); ?>
<!--                     </div>
                    <div class="form-group"> -->
                        <input style="<?php echo $email_input; ?>" type="text" class="form-control" id="reg_email" placeholder="<?php echo $this->lang->line('Email Address'); ?>" name="reg_email" value="<?php echo set_value('reg_email'); ?>">
                        <?php echo form_error('reg_email', '<small class="text-danger pl-3">', '</small>'); ?>
<!--                     </div>
                    <div class="form-group"> -->
                        <input style="<?php echo $password_input; ?>" type="password" class="form-control" id="reg_password1" placeholder="<?php echo $this->lang->line('Password'); ?>" name="reg_password1">
                        <?php echo form_error('reg_password1', '<small class="text-danger pl-3">', '</small>'); ?>
<!--                     </div>
                    <div class="form-group"> -->
                        <input style="<?php echo $password_input; ?>" type="password" class="form-control" id="reg_password2" placeholder="<?php echo $this->lang->line('Repeat Password'); ?>" name="reg_password2">
                    </div>

<?php
$captcha_words = [
    'apple', 'banana', 'orange', 'grape', 'peach',
    'cherry', 'kiwi', 'melon', 'berry', 'mango',
    'lemon', 'lime', 'papaya', 'plum', 'date',
    'fig', 'nectarine', 'apricot', 'coconut', 'pomegranate',
    'tangerine', 'raspberry', 'blueberry', 'cranberry', 'cantaloupe',
    'watermelon', 'kiwifruit', 'starfruit', 'dragonfruit', 'passionfruit',
    'blackberry', 'currant', 'clementine', 'persimmon', 'kumquat',
    'quince', 'lychee', 'jackfruit', 'soursop', 'rhubarb',
    'honeydew', 'blood orange', 'tangelo', 'maracuja', 'jambolan',
    'olive', 'custard apple', 'dragonfruit', 'grapefruit', 'salak',
    'carrot', 'potato', 'tomato', 'onion', 'garlic',
    'cucumber', 'zucchini', 'lettuce', 'spinach', 'asparagus',
    'broccoli', 'cauliflower', 'radish', 'beet', 'eggplant',
    'peanut', 'almond', 'cashew', 'walnut', 'hazelnut',
    'avocado', 'artichoke', 'chili', 'pepper', 'leek'
];

// Función para generar un color aleatorio que no sea blanco
function generateRandomColor() {
    do {
        $color = "#" . substr(md5(rand()), 0, 6); // Genera un color aleatorio
    } while ($color == "#FFFFFF"); // Verifica que el color no sea blanco
    return $color;
}

$captcha_word = $captcha_words[array_rand($captcha_words)]; // Selecciona una palabra aleatoria
$letters = str_split($captcha_word); // Divide la palabra en letras
?>

<!-- Captcha -->
<div class="form-group" id="captcha-form" style="margin-top: 30px;">
    <label style="<?php echo $forgot_create; ?>" class="d-flex align-items-center">
        <!-- Aplicar estilos de distorsión a cada letra del captcha -->
        <span class="captcha-text d-flex align-items-center">
            <?php foreach ($letters as $letter): ?>
                <?php
                    // Valores aleatorios para la rotación, color y blur
                    $rotation = rand(-15, 15); // Rotación aleatoria entre -15 y 15 grados
                    $color = generateRandomColor(); // Color aleatorio que no sea blanco
                    $blur = rand(0, 2); // Desenfoque aleatorio entre 0 y 3px
                ?>
                <span class="captcha-letter" style="transform: rotate(<?php echo $rotation; ?>deg); color: <?php echo $color; ?>; filter: blur(<?php echo $blur; ?>px);">
                    <?php echo $letter; ?>
                </span>
            <?php endforeach; ?>
        </span>

        <!-- Botón de refresh con Font Awesome al lado de las letras -->
    <button type="button" id="refresh-captcha" class="btn btn-light ms-auto" style="color:#2B89A0;">
        <i class="fas fa-sync fa-1x"></i>
    </button>

    </label>
    <input style="<?php echo $email_input; ?>" type="text" class="form-control" name="captcha" required>
    <input type="hidden" name="captcha_answer" value="<?php echo $captcha_word; ?>" id="captcha-answer">
    <input type="hidden" id="mouse_movement" name="mouse_movement" value="0">
    <input type="hidden" id="time_taken" name="time_taken" value="0">
</div>

<style>
.captcha-text {
    display: inline-block;
    font-weight: bold;
    font-size: 1.5em;
    opacity: 0.85;
    letter-spacing: 3px;
    position: relative;
    background-color: white; /* Fondo blanco */
    margin-right: 10px; /* Agrega espacio entre las letras y el botón */
}

.captcha-letter {
    display: inline-block;
}

/* Línea distorsionada debajo del texto */
.captcha-text::before {
    content: '';
    position: absolute;
    width: 100%;
    height: 1px;
    background-color: rgba(0, 0, 0, 0.2);
    top: 50%;
    left: 0;
    transform: rotate(<?php echo rand(-5, 5); ?>deg); /* Limitar la rotación entre -5 y 5 grados */
    background-color: #<?php echo substr(md5(rand()), 0, 6); ?>; /* Color aleatorio */
    height: <?php echo rand(1, 2); ?>px; /* Grosor aleatorio entre 1px y 2px */
    z-index: 1; /* Asegura que la línea quede debajo del texto */
}

/* Asegurar que el botón tiene la misma altura que el captcha */
#refresh-captcha {
    height: 100%;
    line-height: 1.4; /* Ajustar la línea para que se alinee correctamente con el texto */
    padding: 0 10px; /* Asegurar que el botón tiene un buen espaciado */
}

/* Asegurar que el input también tiene la misma altura que el captcha */
input[type="text"].form-control {
    height: 35px;
    padding: 10px;
    font-size: 1rem;
}
</style>

<script>
// Función para generar un nuevo captcha
function generateNewCaptcha() {
    // Recargar la palabra aleatoria y actualizar el valor del input de respuesta
    const captchaWords = <?php echo json_encode($captcha_words); ?>;
    const randomWord = captchaWords[Math.floor(Math.random() * captchaWords.length)];
    
    // Actualiza el HTML de las letras del captcha
    const captchaText = document.querySelector('.captcha-text');
    captchaText.innerHTML = '';
    randomWord.split('').forEach(function(letter) {
        const span = document.createElement('span');
        span.classList.add('captcha-letter');
        span.style.transform = 'rotate(' + (Math.floor(Math.random() * 31) - 15) + 'deg)';
        
        // Generar un color aleatorio que no sea blanco
        let color;
        do {
            color = '#' + Math.floor(Math.random() * 16777215).toString(16);
        } while (color === '#ffffff' || color.length !== 7); // Asegura que el color no sea blanco ni tenga formato inválido
        
        span.style.color = color;
        span.style.filter = 'blur(' + Math.floor(Math.random() * 3) + 'px)';
        span.textContent = letter;
        captchaText.appendChild(span);
    });

    // Actualiza la respuesta en el hidden input
    document.getElementById('captcha-answer').value = randomWord;
}



// Evento para el botón de refresco
document.getElementById('refresh-captcha').addEventListener('click', function() {
    generateNewCaptcha();
});
</script>
<script>
    let interactions = 0;
    let uniqueInteractions = { click: false, mousemove: false, keydown: false, touchstart: false, touchmove: false, focus: false };
    let startTime = Date.now();

    // Detección de movimiento del ratón
    document.addEventListener('mousemove', function(event) {
        if (!uniqueInteractions.mousemove && event.movementX !== 0 && event.movementY !== 0) {
            uniqueInteractions.mousemove = true;
            interactions++;
        }
        document.getElementById('mouse_movement').value = '1';
    });

    // Detección de clics
    document.addEventListener('click', function() {
        if (!uniqueInteractions.click) {
            uniqueInteractions.click = true;
            interactions++;
        }
    });

    // Detección de teclas
    document.addEventListener('keydown', function(event) {
        if ((event.key === 'Tab' || event.key === 'Enter') && !uniqueInteractions.keydown) {
            uniqueInteractions.keydown = true;
            interactions++;
        }
    });

    // Detección de interacciones táctiles
    document.addEventListener('touchstart', function() {
        if (!uniqueInteractions.touchstart) {
            uniqueInteractions.touchstart = true;
            interactions++;
        }
        document.getElementById('mouse_movement').value = '1';
    });

    document.addEventListener('touchmove', function(event) {
        if (!uniqueInteractions.touchmove && event.touches.length > 0) {
            uniqueInteractions.touchmove = true;
            interactions++;
        }
    });

    document.addEventListener('touchend', function() {
        if (!uniqueInteractions.touchend) {
            uniqueInteractions.touchend = true;
            interactions++;
        }
    });

    // Detección de foco en el campo de entrada del captcha
    document.querySelector('input[name="captcha"]').addEventListener('focus', function() {
        if (!uniqueInteractions.focus) {
            uniqueInteractions.focus = true;
            interactions++;
        }
    });

    // Validación al enviar el formulario
    document.getElementById('captcha-form').onsubmit = function() {
        let timeTaken = Date.now() - startTime;
        document.getElementById('time_taken').value = timeTaken;

        // Validación de interacciones y tiempo dentro de un rango aceptable
        if (interactions < 5 || timeTaken < 3000 || timeTaken > 30000) {
            alert('Parece que no eres un usuario real.');
            return false; // Cancela el envío
        }
        return true; // Permite el envío
    };
</script>



                    <div class="text-center">
                        <button type="button" class="btn btn-primary btn-block" style="<?php echo $button_color; ?>" onclick="handleFormSubmit('registerForm', '<?php echo base_url('auth/registration_sidebar'); ?>')">
                            <?php echo $this->lang->line('Register Account'); ?>
                        </button>
                    </div>
                    <br>
                    <div class="text-center"  style="<?php echo $forgot_create; ?>">
                        <a id="back2" href="javascript:void(0);" onclick="showForm('loginForm', 'loginTitle')"><?php echo $this->lang->line('Already have an account? Login!'); ?></a>
                    </div>
                </form>

            </div>
        </div>
    </div>


<div class="modal fade" id="termsModal" tabindex="-1" aria-labelledby="termsModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-lg" style="position: relative;">
        <div class="modal-content">
            <div class="modal-header" style="background-color: #f5f5f5; color: #333;">
<h5 class="modal-title" id="termsModalLabel"><?php echo $this->lang->line('terms_modal_title'); ?></h5>

                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
             <div class="modal-body" style="max-height: 400px; overflow-y: auto;">
<?php echo $contenido_terminos; ?>
            </div>
            <div class="modal-footer" style="background-color: #f5f5f5;">
                <button type="button" class="btn btn-secondary" data-dismiss="modal"><?php echo $this->lang->line('Close'); ?></button>
            </div>
        </div>
    </div>
</div>


    <!-- Carga de jQuery -->
 <script src="<?php echo base_url('assets/'); ?>vendor/jquery/jquery.min.js"></script>


<script>
    // Ocultar los mensajes de éxito y error después de 3 segundos
    $(document).ready(function() {
        setTimeout(function() {
            $('#alertMessage').fadeOut('slow');
        }, 3000);
    });


/*        document.getElementById('togglePassword').addEventListener('click', function (e) {
            const passwordInput = document.getElementById('login_password');
            const type = passwordInput.getAttribute('type') === 'password' ? 'text' : 'password';
            passwordInput.setAttribute('type', type);
            this.classList.toggle('fa-eye');
            this.classList.toggle('fa-eye-slash');
        });*/


    function handleFormSubmit(formId, url) {
        var formData = $('#' + formId).serializeArray();

        $.ajax({
            type: 'POST',
            url: url,
            data: formData,
            success: function(response) {
                try {
                    var res = JSON.parse(response);

                    if (res.status === 'error') {
                        $('#alertMessage').removeClass('hidden alert-success').addClass('alert-danger').html(res.message).fadeIn().delay(3000).fadeOut();
                    } else if (res.status === 'success') {
                        $('#alertMessage').removeClass('hidden alert-danger').addClass('alert-success').html(res.message).fadeIn().delay(3000).fadeOut(function() {
                            window.location.href = res.redirect;
                        });
                    }
                } catch (e) {
                    console.log('Invalid JSON response');
                }
            }
        });
    }

    function showForm(formId, titleId) {
        var forms = document.getElementsByClassName('form-container');
        for (var i = 0; i < forms.length; i++) {
            forms[i].classList.add('hidden');
        }
        document.getElementById(formId).classList.remove('hidden');

        var titles = document.getElementsByClassName('form-title');
        for (var i = 0; i < titles.length; i++) {
            titles[i].classList.add('hidden');
        }
        document.getElementById(titleId).classList.remove('hidden');
    }
</script>
<script>
// Función para abrir el sidebar
function openSidebar() {
    document.getElementById("sidebar").style.left = "0"; // Muestra el sidebar
    adjustContentShift(true); // Ajusta el contenido basado en el tamaño de la ventana al abrir el sidebar
    document.getElementById("openSidebarBtn").style.display = "none"; // Oculta el botón de abrir sidebar
}

// Función para cerrar el sidebar
function closeSidebar() {
    document.getElementById("sidebar").style.left = "-360px"; // Oculta el sidebar
    adjustContentShift(false); // Ajusta el contenido cuando el sidebar está cerrado
    document.getElementById("openSidebarBtn").style.display = "block"; // Muestra el botón de abrir sidebar
}

// Función para ajustar el contenido basado en el tamaño de la ventana
function adjustContentShift(sidebarOpen) {
    if (sidebarOpen && window.innerWidth >= 1128) {
        document.querySelector(".content").classList.add("shifted");
    } else {
        document.querySelector(".content").classList.remove("shifted");
    }
}

// Event listener para abrir el sidebar
document.getElementById("openSidebarBtn").addEventListener("click", openSidebar);

// Event listener para redimensionar la ventana
window.addEventListener("resize", function() {
    // Ajusta el contenido solo si el sidebar está abierto
    const sidebarOpen = document.getElementById("sidebar").style.left === "0px";
    adjustContentShift(sidebarOpen);
});

</script>





<!-- extrecha siempre el contenido

    <script>
        function openSidebar() {
            document.getElementById("sidebar").style.left = "0";
            document.querySelector(".content").style.marginLeft = "360px"; /* Ancho del sidebar */
            document.getElementById("openSidebarBtn").style.display="none";

        }

        function closeSidebar() {
            document.getElementById("sidebar").style.left = "-360px";
            document.querySelector(".content").style.marginLeft = "0";
            document.getElementById("openSidebarBtn").style.display="block";




        }

        document.getElementById("openSidebarBtn").addEventListener("click", openSidebar);


    </script>

-->

<script>

 //nunca extrecha el contenido
 /*
function openSidebar() {
    document.getElementById("sidebar").style.left = "0"; // Muestra el sidebar
    document.getElementById("openSidebarBtn").style.display = "none"; // Oculta el botón de abrir sidebar
}

function closeSidebar() {
    document.getElementById("sidebar").style.left = "-360px"; // Oculta el sidebar
    document.getElementById("openSidebarBtn").style.display = "block"; // Muestra el botón de abrir sidebar
}

// Event listener para abrir el sidebar
document.getElementById("openSidebarBtn").addEventListener("click", openSidebar);
*/
</script>


<!-- color dinamico para el forgot_create -->
<script>
    // Selecciona el contenedor
    const container = document.getElementById('dynamic-color');

    // Obtén el estilo computado del contenedor
    const computedStyle = window.getComputedStyle(container);

    // Obtén el color del contenedor
    const color = computedStyle.color;

    // Obtén el tamaño de la fuente del contenedor
    const fontSize = computedStyle.fontSize;

    // Obtén el peso de la fuente del contenedor
    const fontWeight = computedStyle.fontWeight;

    console.log('Color:', color);
    console.log('Tamaño de fuente:', fontSize);
    console.log('Peso de fuente:', fontWeight);

    // Aplica el color, tamaño de la fuente y peso de la fuente a todos los enlaces dentro del contenedor
    const links = container.getElementsByTagName('a');
    for (let link of links) {
        link.style.color = color;
        link.style.fontSize = fontSize;
        link.style.fontWeight = fontWeight;
    }
</script>


    <script>
        document.addEventListener('DOMContentLoaded', function() {
            // Obtener el color
            var color = document.getElementById("dynamic-color").style.color;

            // Asignar a los títulos de forgot y los returns
            document.getElementById("forgotTitle").style.color = color;
            document.getElementById("registerTitle").style.color = color;
          document.getElementById("back1").style.color = color;
            document.getElementById("back2").style.color = color;
        });
    </script>


</body>
</html>

