<?php
    $config_keys = ['gradiente2', 'background_container', 'text_header', 'button_color', 'email_input', 'password_input', 'checkbox_text', 'posicion', 'forgot_create', 'animation_effect', 'texto_login', 'texto_email_placeholder', 'texto_password_placeholder', 'texto_terminos', 'texto_boton', 'texto_forgot', 'texto_crear_cuenta', 'css_placeholder', 'css_focus', 'css_general'];

    $config = [];

    foreach ($config_keys as $key) {
        $config[$key] = $this->Config_model->get_config_value($key);
    }

    // Asignar las configuraciones a variables
    $activar_gradiente2         = isset($config['gradiente2']['value']) ? $config['gradiente2']['value'] : '';
    $background_container       = isset($config['background_container']['value']) ? $config['background_container']['value'] : '';
    $text_header                = isset($config['text_header']['value']) ? $config['text_header']['value'] : '';
    $button_color               = isset($config['button_color']['value']) ? $config['button_color']['value'] : '';
    $email_input                = isset($config['email_input']['value']) ? $config['email_input']['value'] : '';
    $password_input             = isset($config['password_input']['value']) ? $config['password_input']['value'] : '';
    $posicion                   = isset($config['posicion']['value']) ? $config['posicion']['value'] : '';
    $forgot_create              = isset($config['forgot_create']['value']) ? $config['forgot_create']['value'] : '';
    $animation_effect           = isset($config['animation_effect']['value']) ? $config['animation_effect']['value'] : '';
    $texto_login                = isset($config['texto_login']['value']) ? $config['texto_login']['value'] : '';
    $texto_email_placeholder    = isset($config['texto_email_placeholder']['value']) ? $config['texto_email_placeholder']['value'] : '';
    $texto_password_placeholder = isset($config['texto_password_placeholder']['value']) ? $config['texto_password_placeholder']['value'] : '';
    $texto_terminos             = isset($config['texto_terminos']['value']) ? $config['texto_terminos']['value'] : '';
    $texto_boton                = isset($config['texto_boton']['value']) ? $config['texto_boton']['value'] : '';
    $texto_forgot               = isset($config['texto_forgot']['value']) ? $config['texto_forgot']['value'] : '';
    $texto_crear_cuenta         = isset($config['texto_crear_cuenta']['value']) ? $config['texto_crear_cuenta']['value'] : '';
    $css_placeholder            = isset($config['css_placeholder']['value']) ? $config['css_placeholder']['value'] : '';
    $css_focus                  = isset($config['css_focus']['value']) ? $config['css_focus']['value'] : '';
    $css_general                = isset($config['css_general']['value']) ? $config['css_general']['value'] : '';
?>



    <style>
        .custom-width {
            width: 100vw;
            max-width: 360px;
            min-width: 280px;

        }
        .custom-height {
            height: 90vh;
            max-height: 650px;
            min-height: 500px;

        }
        .eltitulo {
           /* color: whitesmoke;

            background-color: rgba(0,0,0,0.8);*/
        }

                      .form-container {
            width: 100% ;
            max-width: 360px;
            min-width: 280px;
            box-sizing: border-box;


        }

        input::placeholder {
            <?php echo $css_placeholder; ?>
        }
        input:focus {
            <?php echo $css_focus; ?>
        }


        <?php echo $css_general; ?>
    </style>

<div style="height: 100vh;                                                                                                                                                                                                                                                                                                                                                   <?php echo $posicion; ?>">
    <div class="custom-width custom-height d-flex align-items-center justify-content-center">
        <div class="animate__animated                                                                                                                                                                                                                                                                                                                                                                                                                                                             <?php echo isset($animation_effect) ? 'animate__' . $animation_effect : '' ?>" style="<?php echo $background_container; ?>">
            <div class="text-center mb-4" style="<?php echo $text_header; ?>">
                <h1 class="eltitulo"><?php echo $this->lang->line('Register Account'); ?></h1>
            </div>

            <!-- Bloque de Alertas Globales -->
            <?php if (validation_errors() || $this->session->flashdata()): ?>
                <div class="alert alert-danger" role="alert">
                    <?php echo validation_errors(); ?>
<?php foreach ($this->session->flashdata() as $key => $val): ?>
                        <p><?php echo $val; ?></p>
                    <?php endforeach;?>
                </div>
            <?php endif;?>

            <form class="user form-container" method="POST" action="<?php echo base_url('auth/registration'); ?>">
                <!-- Campo oculto para el token CSRF -->
                <input type="hidden" name="<?php echo $this->security->get_csrf_token_name(); ?>" value="<?php echo $this->security->get_csrf_hash(); ?>" />

                <div class="form-group">
                    <input style="<?php echo $email_input; ?>" type="text" class="form-control" id="name" placeholder="<?php echo $this->lang->line('Full Name'); ?>" name="name" value="<?php echo set_value('name'); ?>">
<!--                 </div>

                <div class="form-group"> -->
                    <input style="<?php echo $email_input; ?>" type="text" class="form-control" id="email" placeholder="<?php echo $this->lang->line('Email Address'); ?>" name="email" value="<?php echo set_value('email'); ?>">
<!--                 </div>

                <div class="form-group"> -->
                    <input style="<?php echo $password_input; ?>" type="password" class="form-control" id="password1" placeholder="<?php echo $this->lang->line('Password'); ?>" name="password1">
                    <input style="<?php echo $password_input; ?>" type="password" class="form-control" id="password2" placeholder="<?php echo $this->lang->line('Repeat Password'); ?>" name="password2">
                </div>


<?php
$captcha_words = [
    'apple', 'banana', 'orange', 'grape', 'peach',
    'cherry', 'kiwi', 'melon', 'berry', 'mango',
    'lemon', 'lime', 'papaya', 'plum', 'date',
    'fig', 'nectarine', 'apricot', 'coconut', 'pomegranate',
    'tangerine', 'raspberry', 'blueberry', 'cranberry', 'cantaloupe',
    'watermelon', 'kiwifruit', 'starfruit', 'dragonfruit', 'passionfruit',
    'blackberry', 'currant', 'clementine', 'persimmon', 'kumquat',
    'quince', 'lychee', 'jackfruit', 'soursop', 'rhubarb',
    'honeydew', 'blood orange', 'tangelo', 'maracuja', 'jambolan',
    'olive', 'custard apple', 'dragonfruit', 'grapefruit', 'salak',
    'carrot', 'potato', 'tomato', 'onion', 'garlic',
    'cucumber', 'zucchini', 'lettuce', 'spinach', 'asparagus',
    'broccoli', 'cauliflower', 'radish', 'beet', 'eggplant',
    'peanut', 'almond', 'cashew', 'walnut', 'hazelnut',
    'avocado', 'artichoke', 'chili', 'pepper', 'leek'
];

// Función para generar un color aleatorio que no sea blanco
function generateRandomColor() {
    do {
        $color = "#" . substr(md5(rand()), 0, 6); // Genera un color aleatorio
    } while ($color == "#FFFFFF"); // Verifica que el color no sea blanco
    return $color;
}

$captcha_word = $captcha_words[array_rand($captcha_words)]; // Selecciona una palabra aleatoria
$letters = str_split($captcha_word); // Divide la palabra en letras
?>

<!-- Captcha -->
<div class="form-group" id="captcha-form" >
    <label style="<?php echo $forgot_create; ?>" class="d-flex align-items-center">
        <!-- Aplicar estilos de distorsión a cada letra del captcha -->
        <span class="captcha-text d-flex align-items-center">
            <?php foreach ($letters as $letter): ?>
                <?php
                    // Valores aleatorios para la rotación, color y blur
                    $rotation = rand(-15, 15); // Rotación aleatoria entre -15 y 15 grados
                    $color = generateRandomColor(); // Color aleatorio que no sea blanco
                    $blur = rand(0, 2); // Desenfoque aleatorio entre 0 y 3px
                ?>
                <span class="captcha-letter" style="transform: rotate(<?php echo $rotation; ?>deg); color: <?php echo $color; ?>; filter: blur(<?php echo $blur; ?>px);">
                    <?php echo $letter; ?>
                </span>
            <?php endforeach; ?>
        </span>

        <!-- Botón de refresh con Font Awesome al lado de las letras -->
    <button type="button" id="refresh-captcha" class="btn btn-light ms-auto" style="color:#2B89A0;">
        <i class="fas fa-sync fa-1x"></i>
    </button>

    </label>
    <input style="<?php echo $email_input; ?>" type="text" class="form-control" name="captcha" required>
    <input type="hidden" name="captcha_answer" value="<?php echo $captcha_word; ?>" id="captcha-answer">
    <input type="hidden" id="mouse_movement" name="mouse_movement" value="0">
    <input type="hidden" id="time_taken" name="time_taken" value="0">
</div>

<style>
.captcha-text {
    display: inline-block;
    font-weight: bold;
    font-size: 1.5em;
    opacity: 0.85;
    letter-spacing: 3px;
    position: relative;
    background-color: white; /* Fondo blanco */
    margin-right: 10px; /* Agrega espacio entre las letras y el botón */
}

.captcha-letter {
    display: inline-block;
}

/* Línea distorsionada debajo del texto */
.captcha-text::before {
    content: '';
    position: absolute;
    width: 100%;
    height: 1px;
    background-color: rgba(0, 0, 0, 0.2);
    top: 50%;
    left: 0;
    transform: rotate(<?php echo rand(-5, 5); ?>deg); /* Limitar la rotación entre -5 y 5 grados */
    background-color: #<?php echo substr(md5(rand()), 0, 6); ?>; /* Color aleatorio */
    height: <?php echo rand(1, 2); ?>px; /* Grosor aleatorio entre 1px y 2px */
    z-index: 1; /* Asegura que la línea quede debajo del texto */
}

/* Asegurar que el botón tiene la misma altura que el captcha */
#refresh-captcha {
    height: 100%;
    line-height: 1.4; /* Ajustar la línea para que se alinee correctamente con el texto */
    padding: 0 10px; /* Asegurar que el botón tiene un buen espaciado */
}

/* Asegurar que el input también tiene la misma altura que el captcha */
input[type="text"].form-control {
    height: 35px;
    padding: 10px;
    font-size: 1rem;
}
</style>

<script>
// Función para generar un nuevo captcha
function generateNewCaptcha() {
    // Recargar la palabra aleatoria y actualizar el valor del input de respuesta
    const captchaWords = <?php echo json_encode($captcha_words); ?>;
    const randomWord = captchaWords[Math.floor(Math.random() * captchaWords.length)];
    
    // Actualiza el HTML de las letras del captcha
    const captchaText = document.querySelector('.captcha-text');
    captchaText.innerHTML = '';
    randomWord.split('').forEach(function(letter) {
        const span = document.createElement('span');
        span.classList.add('captcha-letter');
        span.style.transform = 'rotate(' + (Math.floor(Math.random() * 31) - 15) + 'deg)';
        
        // Generar un color aleatorio que no sea blanco
        let color;
        do {
            color = '#' + Math.floor(Math.random() * 16777215).toString(16);
        } while (color === '#ffffff' || color.length !== 7); // Asegura que el color no sea blanco ni tenga formato inválido
        
        span.style.color = color;
        span.style.filter = 'blur(' + Math.floor(Math.random() * 3) + 'px)';
        span.textContent = letter;
        captchaText.appendChild(span);
    });

    // Actualiza la respuesta en el hidden input
    document.getElementById('captcha-answer').value = randomWord;
}



// Evento para el botón de refresco
document.getElementById('refresh-captcha').addEventListener('click', function() {
    generateNewCaptcha();
});
</script>
<script>
    let interactions = 0;
    let uniqueInteractions = { click: false, mousemove: false, keydown: false, touchstart: false, touchmove: false, focus: false };
    let startTime = Date.now();

    // Detección de movimiento del ratón
    document.addEventListener('mousemove', function(event) {
        if (!uniqueInteractions.mousemove && event.movementX !== 0 && event.movementY !== 0) {
            uniqueInteractions.mousemove = true;
            interactions++;
        }
        document.getElementById('mouse_movement').value = '1';
    });

    // Detección de clics
    document.addEventListener('click', function() {
        if (!uniqueInteractions.click) {
            uniqueInteractions.click = true;
            interactions++;
        }
    });

    // Detección de teclas
    document.addEventListener('keydown', function(event) {
        if ((event.key === 'Tab' || event.key === 'Enter') && !uniqueInteractions.keydown) {
            uniqueInteractions.keydown = true;
            interactions++;
        }
    });

    // Detección de interacciones táctiles
    document.addEventListener('touchstart', function() {
        if (!uniqueInteractions.touchstart) {
            uniqueInteractions.touchstart = true;
            interactions++;
        }
        document.getElementById('mouse_movement').value = '1';
    });

    document.addEventListener('touchmove', function(event) {
        if (!uniqueInteractions.touchmove && event.touches.length > 0) {
            uniqueInteractions.touchmove = true;
            interactions++;
        }
    });

    document.addEventListener('touchend', function() {
        if (!uniqueInteractions.touchend) {
            uniqueInteractions.touchend = true;
            interactions++;
        }
    });

    // Detección de foco en el campo de entrada del captcha
    document.querySelector('input[name="captcha"]').addEventListener('focus', function() {
        if (!uniqueInteractions.focus) {
            uniqueInteractions.focus = true;
            interactions++;
        }
    });

    // Validación al enviar el formulario
    document.getElementById('captcha-form').onsubmit = function() {
        let timeTaken = Date.now() - startTime;
        document.getElementById('time_taken').value = timeTaken;

        // Validación de interacciones y tiempo dentro de un rango aceptable
        if (interactions < 5 || timeTaken < 3000 || timeTaken > 30000) {
            alert('Parece que no eres un usuario real.');
            return false; // Cancela el envío
        }
        return true; // Permite el envío
    };
</script>





                <div class="text-center">
                    <button type="submit" class="btn btn-primary btn-block" style="<?php echo $button_color; ?>">
                        <?php echo $this->lang->line('Register Account'); ?>
                    </button>
                </div>
            </form>
            <br>

            <div id="dynamic-color" style="<?php echo $forgot_create; ?>">
                <div class="text-center">
                    <a class="small" href="<?php echo base_url('auth'); ?>"><?php echo $this->lang->line('Already have an account? Login!'); ?></a>
                </div>
            </div>
        </div>
    </div>
</div>





<!-- Carga de jQuery -->
<script src="<?php echo base_url('assets/'); ?>vendor/jquery/jquery.min.js"></script>
<script>
    $(document).ready(function() {
        $('.alert').alert().delay(3000).slideUp('slow');
    });
</script>

<!-- color dinamico para el forgot_create -->
<script>
    // Selecciona el contenedor
    const container = document.getElementById('dynamic-color');

    // Obtén el estilo computado del contenedor
    const computedStyle = window.getComputedStyle(container);

    // Obtén el color del contenedor
    const color = computedStyle.color;

    // Obtén el tamaño de la fuente del contenedor
    const fontSize = computedStyle.fontSize;

    // Obtén el peso de la fuente del contenedor
    const fontWeight = computedStyle.fontWeight;

    console.log('Color:', color);
    console.log('Tamaño de fuente:', fontSize);
    console.log('Peso de fuente:', fontWeight);

    // Aplica el color, tamaño de la fuente y peso de la fuente a todos los enlaces dentro del contenedor
    const links = container.getElementsByTagName('a');
    for (let link of links) {
        link.style.color = color;
        link.style.fontSize = fontSize;
        link.style.fontWeight = fontWeight;
    }
</script>
