



<div id="general" class="container-fluid">
    <div class="row">
        <div class="col-lg-12">
            <div class="row">
                <div class="col-md-12 mb-4">
                    <div class="card border-0 shadow-sm h-100">
                        <div class="card-body">
                            <h2 class="card-title text-primary"><i class="fas fa-fw fa-tachometer-alt"></i>                                                                                                                                                                                                                                                                                                                                  <?php echo $title; ?></h2>
                           <p><?php echo $lang['page_refresh']; ?></p>
                           <?php if ($this->session->flashdata('alert-success')): ?>
                           <div class="alert alert-success">
                               <?php echo $this->session->flashdata('alert-success'); ?>
                           </div>
                           <?php endif; ?>
                       </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <!-- Alerta de éxito -->
    <?php if ($this->session->flashdata('alert-success')): ?>
        <div class="alert alert-success">
            <?php echo $this->session->flashdata('alert-success'); ?>
        </div>
    <?php endif; ?>








    <div class="row">


    <div class="col-md-12 text-right mb-3">
        <button id="checkUpdateBtn" class="btn btn-primary"><?php echo $lang['check_for_updates']; ?></button>
        <button id="backupBtn" class="btn btn-secondary">Backup</button> <!-- Botón de Backup -->

    </div>




        <!-- Hora del Servidor -->
        <div class="col-md-4">
            <div class="card shadow mb-4 border-left-primary">
                <div class="card-body">
                    <div class="d-flex align-items-center">
                        <i class="fas fa-clock fa-2x text-primary mr-3"></i>
                        <?php
                            // Obtener la zona horaria configurada en CodeIgniter
                            $serverTimezone = $this->config->item('time_reference');
                            date_default_timezone_set($serverTimezone);
                            $currentServerTime = date('Y-m-d H:i:s');
                        ?>
                        <p class="card-text"><strong><?php echo $lang['app_time']; ?></strong><?php echo $currentServerTime; ?></p>
                    </div>
                </div>
            </div>
        </div>

        <!-- Hora del Usuario -->
        <div class="col-md-4">
            <div class="card shadow mb-4 border-left-primary">
                <div class="card-body">
                    <div class="d-flex align-items-center">
                        <i class="fas fa-clock fa-2x text-primary mr-3"></i>
                        <?php
                                                               // Obtener la zona horaria del usuario desde la base de datos o sesión
                            $userTimezone = $user['timezone']; // Asumiendo que $user contiene la información del usuario actual
                            date_default_timezone_set($userTimezone);
                            $currentUserTime = date('Y-m-d H:i:s');
                        ?>
                        <p class="card-text"><strong><?php echo $lang['user_time']; ?></strong><?php echo $currentUserTime; ?></p>
                    </div>
                </div>
            </div>
        </div>


 <div class="col-md-4">
    <p><?php echo $this->session->flashdata('message'); ?></p>

    <form action="<?php echo site_url('admin/toggle_maintenance'); ?>" method="post">
        <div class="custom-control custom-switch">
            <input type="checkbox" class="custom-control-input" id="maintenanceSwitch" name="maintenance_mode" value="on"                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     <?php echo($maintenance_mode ? 'checked' : ''); ?>>
            <label class="custom-control-label" for="maintenanceSwitch"><?php echo $lang['maintenance_mode']; ?></label>
        </div>
        <button type="submit" class="btn btn-primary mt-2"><?php echo $lang['save_button']; ?></button>
    </form>
</div>

   </div>


<div class="row">
    <!-- Total Users Card -->
    <div class="col-md-4">
        <div class="card shadow mb-4">
            <div class="card-header py-3 bg-secondary">
                <h6 class="m-0 font-weight-bold text-white"><i class="fas fa-users"></i>                                                                                                                                                                                                                                                                         <?php echo $lang['total_users']; ?></h6>
            </div>
            <div class="card-body">
                <div class="h1 mb-0 font-weight-bold text-gray-800 text-center"><?php echo $totalusers; ?></div>
            </div>
        </div>
    </div>

    <!-- Total Verified Users Card -->
    <div class="col-md-4">
        <div class="card shadow mb-4">
            <div class="card-header py-3 bg-secondary">
                <h6 class="m-0 font-weight-bold text-white"><i class="fas fa-user-check"></i>                                                                                                                                                                                                                                                                                        <?php echo $lang['total_verified_users']; ?></h6>
            </div>
            <div class="card-body">
                <div class="h1 mb-0 font-weight-bold text-gray-800 text-center"><?php echo $totalactiveusers; ?></div>
            </div>
        </div>
    </div>

    <!-- Users Online Card -->
    <div class="col-md-4">
        <div class="card shadow mb-4">
            <div class="card-header py-3 bg-secondary">
                <h6 class="m-0 font-weight-bold text-white"><i class="fas fa-user-friends"></i>                                                                                                                                                                                                                                                                                              <?php echo $lang['users_online']; ?></h6>
            </div>
            <div class="card-body">
                <div class="h1 mb-0 font-weight-bold text-gray-800 text-center"><?php echo $totalonlineusers; ?></div>
            </div>
        </div>
    </div>

   <!-- Mostrar la salida de los plugins dentro de la misma fila
    <?php echo isset($plugin_outputs) ? $plugin_outputs : ''; ?> -->
    <!-- Display the plugin outputs -->
    <?php if (isset($plugin_outputs) && ! empty($plugin_outputs)): ?>

            <?php echo $plugin_outputs; ?>

    <?php endif; ?>

</div>



    <!-- Cuarta sección (Loginbasico) -->
<div class="row">
        <div class="col-md-6">
            <div class="card shadow mb-4">
                <div class="card-header py-3 bg-primary text-white">
                    <h6 class="m-0 font-weight-bold">LoginbasicoEmo Pro</h6>
                </div>
                <div class="card-body" style="max-height: 200px; overflow-y: auto;">
                    <p><strong>Version:</strong> 0.0.0.40 (08-02-2025) <br>
                    <strong>Changelog:</strong> <br>
                    - Corrections in the Enhanced CAPTCHA Security.<br>
                    - PHP 8.4 supported.
                    <p><strong>Version:</strong> 0.0.0.39 (30-10-2024) <br>
                    <strong>Changelog:</strong> <br>
                    - Enhanced CAPTCHA Security: Added text distortion, disruptive lines, consistent white background, and touch event support for improved bot resistance and usability.<br>
                    <p><strong>Version:</strong> 0.0.0.38 (27-10-2024) <br>
                    <strong>Changelog:</strong> <br>
                    - Fixed comparison logic for 'activar_registro' configuration to correctly handle string values.<br>
                    - Added a simple variable word captcha to the registration form to prevent automated bot registrations.<br>
                    <p><strong>Version:</strong> 0.0.0.37 (28-08-2024) <br>
                    <strong>Changelog:</strong> <br>
                    - Updated the script to use MutationObserver for consistent image height adjustment in left and right image templates, ensuring proper alignment with the login box even after flash messages disappear.<br>
                    - Re-implemented flash messages in login and login with image templates, which disappear after 3 seconds.<br>
                    - Updated the image box background to transparent (previously white) in the left and right image templates.<br>
                    - Added missing validation for the Terms and Conditions checkbox in the new sidebar template.<br>
                    <p><strong>Version:</strong> 0.0.0.36 (26-08-2024) <br>
                    <strong>Changelog:</strong> <br>
                    - Enhanced section navigation logic to ensure compatibility with Bootstrap Carousel, preventing conflicts when navigating between sections when is a single page application.<br>
                    - Translated CSV export headers to English for consistent international usage.<br>
                    - Added a test plugin for the sidebar template that displays a 3D wolf head following the cursor, with touch support for mobile devices.<br>

                    <p><strong>Version:</strong> 0.0.0.34 (22-08-2024) <br>
                    <strong>Changelog:</strong> <br>
                    - Replaced the logout modal with a SweetAlert2 confirmation dialog<br>
                    - Added functionality to send an email notification to the first administrator (role_id=1) when a new user registers.<br>
                    - Evaluating fixed sidebar and topbar layout on desktop devices in the SB Admin 2 template.<br>
                    - Corrected the dashboard view to display App Time instead of Server Time, reflecting the intended functionality.<br>
                    <p><strong>Version:</strong> 0.0.0.33 (21-08-2024) <br>
                    <strong>Changelog:</strong> <br>
                    - Updated example templates for sidebar with navbar integration to function as a single-page layout.<br>
                    - Updated the previous layout adjustment to now universally maintain the sidebar as fixed and dynamically shift content only when the window width exceeds 1128px, ensuring consistent behavior across all screen sizes.<br>
                    <p><strong>Version:</strong> 0.0.0.33 (21-08-2024) <br>
                    <strong>Changelog:</strong> <br>
                    - Added success and error messages for plugin installation and uninstallation processes.<br>
                    - Optimized the save_design_selection function to prevent unnecessary updates by checking if the design ID is already set, avoiding false error messages.<br>
                    - Created the design for the loginbasicoemo.com page using the new sidebar template to develop a Single Page Application (SPA) as the frontend.<br>
                    - Fixed issue in auto_block_ip plugin.<br>
                    - Adjusted the layout to conditionally shift content only when the browser width is sufficient to accommodate both the sidebar and content, ensuring a responsive and user-friendly design across different screen sizes.<br>
                    <p><strong>Version:</strong> 0.0.0.32 (19-08-2024) <br>
                    <strong>Changelog:</strong> <br>
                    - Improved the settings interface for a more consistent look and feel.<br>
                    - Added functionality to highlight the selected design image with a border and star icon in the settings archive.<br>
                    - Added a feature to center the active design in the view when clicking the 'Go to Active Design' button in the settings archive.<br>
                    - Added a new field in the users table to store the ID of the active design for administrators, replacing the previous use of local storage.
                    <p><strong>Version:</strong> 0.0.0.31 (19-08-2024) <br>
                    <strong>Changelog:</strong> <br>
                    - Implemented functionality to display only installed plugins on the dashboard.<br>
                    - Fixed an issue where the menu was not being added to the database correctly by updating the data handling process in the addMenu function.<br>
                    - Created the initial basic documentation for plugin development in LoginbasicoEmo Pro.<br>
                    - Fixed issue where the 'Access_Changed' language line was missing, causing an error.<br>
                    <p><strong>Version:</strong> 0.0.0.30 (18-08-2024) <br>
                    <strong>Changelog:</strong> <br>
                    - Implemented automatic creation of the blocked_ips table in the Auto IP Blocker plugin for seamless integration.<br>
                    <p><strong>Version:</strong> 0.0.0.29 (17-08-2024) <br>
                    <strong>Changelog:</strong> <br>
                    - Introduced the Auto IP Blocker plugin, which blocks IP addresses after multiple failed login attempts and includes a reset mechanism for failed attempt counts.<br>
                    <p><strong>Version:</strong> 0.0.0.28 (14-08-2024) <br>
                    <strong>Changelog:</strong> <br>
                    - Added the Useful Tool Links plugin, providing a searchable, paginated list of essential online tools within the settings section.<br>
                    <p><strong>Version:</strong> 0.0.0.27 (13-08-2024) <br>
                    <strong>Changelog:</strong> <br>
                    - Implemented initial sync of plugins from the central server to client databases, with subsequent manual refresh capability.<br>
                    - Added functionality to sync plugins between central server and client systems, marking plugins as discontinued when removed from the central server and restoring them when re-added.<br>
                    <p><strong>Version:</strong> 0.0.0.26 (12-08-2024) <br>
                    <strong>Changelog:</strong> <br>
                    - Fixed the plugin download method to validate the download link and ensure proper file retrieval in the Admin controller.<br>
                    - Added a new database field to track plugin updates and enabled plugin version upgrades directly from the plugins view.<br>
                    - Implemented a priority system for plugins within the same location, allowing for customized display order across different sections of the application.<br>
                    - Introduced the System Health Monitor Plugin, displaying real-time server metrics such as CPU load, memory usage, and disk space within the admin dashboard.<br>
                    - Fixed an issue with duplicated CORS headers causing cross-origin requests to fail, ensuring proper handling of CORS in API responses.<br>
                    <p><strong>Version:</strong> 0.0.0.25 (11-08-2024) <br>
                    <strong>Changelog:</strong> <br>
                    - New Feature: Added support for managing plugins, including installation, uninstallation, and enhanced API integration for listing, viewing, and downloading plugins.<br>
                    - Introduced the 'Most Active User' plugin for the admin dashboard, displaying the user with the highest session count and providing a modular plugin structure for seamless integration and future expansion.<br>
                    - Added multi-language support for plugins and updated the most_active_user plugin to incorporate this feature.<br>
                    <p><strong>Version:</strong> 0.0.0.24 (10-08-2024) <br>
                    <strong>Changelog:</strong> <br>
                    - Added dynamic column selection in SELECT queries for the ajax_post function, defaulting to * when no specific columns are provided.<br>
                    - Refactored the login appearance configuration section in settings.<br>
                    <p><strong>Version:</strong> 0.0.0.23 (09-08-2024) <br>
                    <strong>Changelog:</strong> <br>
                    - Fixed an issue where restoring default settings did not update the corresponding previews.<br>
                    - Fixed an issue where the ACE editor did not restore the original layout after exiting fullscreen mode, and ensured the page only reloads for external pages when entering fullscreen mode.<br>
                    - Added multilingual support for "Verify" and "Reset" buttons in email templates.<br>
                    <p><strong>Version:</strong> 0.0.0.22 (08-08-2024) <br>
                    <strong>Changelog:</strong> <br>
                    - Added functionality to toggle password visibility in the sidebar template.<br>
                    - Fixed issue with accessing user email in the update function when user data is returned as an array instead of an object.<br>
                    <p><strong>Version:</strong> 0.0.0.21 (07-08-2024) <br>
                    <strong>Changelog:</strong> <br>
                    - Added functionality to manage icons for menus in Navigation Management.<br>
                    - Added functionality to select Font Awesome icons visually in the menu and submenu creation and edit forms.<br>
                    - Enhanced archived images with styling improvements.<br>
                    <p><strong>Version:</strong> 0.0.0.20 (06-08-2024) <br>
                    <strong>Changelog:</strong> <br>
                    - Added a check to ensure file size does not exceed server configuration limits when uploading ZIP files on the upload page.<br>
                    - Added the function to make the sidebar collapsible with expandable submenus.<br>
                    - Reviewed old sidebar templates and removed those containing errors.<br>

                    <p><strong>Version:</strong> 0.0.0.19 (05-08-2024) <br>
                    <strong>Changelog:</strong> <br>
                    - Added timestamp to update URL to avoid caching issues.<br>
                    - Enhanced the backup functionality by increasing memory and execution time limits to support larger backups in production.<br>
                    - Added functionality in the control panel for creating and downloading a backup of the filesystem and database with improved user feedback during the process.<br>
                    - Added automatic and manual update options with user warnings, and error handling.<br>
                    - Added a new example for sidebar template with a vertical sidebar button.<br>
                    <p><strong>Version:</strong> 0.0.0.18 (04-08-2024) <br>
                    <strong>Changelog:</strong> <br>
                    - Updated sidebar to hide the open button when opened, ensuring compatibility with a transparent sidebar.<br>
                    - Added a "Restore Default" button to reset the PWA script editor to its default service worker and install prompt script.<br>
                    - Added toggle buttons to the PWA admin section for viewing code in fullscreen.<br>
                    - Added toggle buttons to the sidebar admin text code section for viewing code in fullscreen.<br>
                    - Added missing JSON response for unregistered email attempts in the login function.<br>
                    - Updated the installation script to allow selecting the application's default language and set it as the default in both the database and the config file.<br>
                    <p><strong>Version:</strong> 0.0.0.17 (03-08-2024) <br>
                    <strong>Changelog:</strong> <br>
                    - Added a Delete Account button to the user profile page.<br>
                    - Updated Visualneo Ajax Api Example.<br>
                    - Added functionality to the PWA section of the admin interface, allowing admin to view and edit the PWA script which manages Service Worker registration and handles the installation prompt.<br>
                    - Added a timestamp to the version check URL to prevent caching of version.txt and ensure the latest version is fetched.<br>
                    <p><strong>Version:</strong> 0.0.0.16 (01-08-2024) <br>
                    <strong>Changelog:</strong> <br>
                    - Updated ajax_post function to log AJAX requests in app log file in a human-readable format.<br>
                    - Added logging for attempted access with invalid password, including the client's IP address for better tracking and security monitoring.<br>
                    - Implemented a feature to check for new application versions from https://loginbasicoemo.com/version.txt.<br>
                    - Added a floating action button to prompt users to install the PWA, enhancing user engagement and accessibility<br>
                    <p><strong>Version:</strong> 0.0.0.15 (31-07-2024) <br>
                    <strong>Changelog:</strong> <br>
                    - Added functionality to read and display the latest app log file in the admin dashboard.<br>
                    - Fixed lang Role_Access title ERROR.<br>
                    - Removed about section.<br>
                    - Fixed access control for admin-specific pages to redirect unauthorized users to their default page.<br>
                    - Fixed translation issues in edit profile.<br>

                    <p><strong>Version:</strong> 0.0.0.14 (30-07-2024) <br>
                    <strong>Changelog:</strong> <br>
                    - Added functionality to edit PWA configuration files from the admin menu with improved notifications and user interface.<br>
                    - Fixed email confirmation sending bug with the new sidebar template.
                    <br>
                    <p><strong>Version:</strong> 0.0.0.13 (29-07-2024) <br>
                    <strong>Changelog:</strong> <br>
                    - Implemented basic dynamic sitemap generation to improve SEO and ensure proper indexing by search engines.
                    <br>
                    - Implemented a new SEO section in the Admin menu for managing SEO values, including OG for social networks.<br>
                    - Added a new tip for completely hiding the login title using inline CSS.<br>
                    - Added maintenance mode check and session destruction for non-admin users after login to prevent access during maintenance.<br>
                    <p><strong>Version:</strong> 0.0.0.12 (28-07-2024) <br>
                    <strong>Changelog:</strong> <br>
                    - Fixed an addressed warnings related to undefined array keys in the ajustes.php view by adding checks to ensure the keys exist before accessing them.
                    <br>
                    - Added version information to the feature list in the comparison cards for both LoginbasicoEmo Free and Pro versions.<br>
                    - Fixed undefined function error in 404 error view by loading base_url().<br>
                    - Added a standard robot.txt.<br>
                    <p><strong>Version:</strong> 0.0.0.11 (27-07-2024) <br>
                    <strong>Changelog:</strong> <br>
                    - Added JavaScript functionality to detect when the browser exits fullscreen mode and automatically refresh the page to fix iframe displacement issue.
                    <br>
                    - Added a new example in Loginbasicoemo.com<br>
                    - Added missing favicon.ico<br>
                    <p><strong>Version:</strong> 0.0.0.11 (26-07-2024) <br>
                    <strong>Changelog:</strong> <br>
                    - Fixed Terms & Condition modal title translation.
                    <br>
                    - Added missing English text for file import messages.<br>
                    - Changed a tag to span with pointer for Accept Terms and Conditions.<br>
                    - Completely redesigned the sidebar template and created new functions to integrate the "Forgot Password" and "Create Account" forms within the sidebar instead of displaying them outside.<br>
                    <p><strong>Version:</strong> 0.0.0.10 (24-07-2024) <br>
                    <strong>Changelog:</strong> <br>
                    - Added functionality to display a JavaScript alert and reset the session if the admin's email is updated.
                    <br>
                    - Implemented PWA support by adding a service worker and a manifest file to improve user experience.
                    <p><strong>Version:</strong> 0.0.0.9 (23-07-2024) <br>
                    <strong>Changelog:</strong> <br>
                    - Added centralized configuration language config for easier language additions and dynamic loading options in drop downs.
                    <br>
                    - Added Chinese language to test the new language config.
                    <br>
                    - Updated all error pages with a centered design.
                    <br>
                    <p><strong>Version:</strong> 0.0.0.8 (22-07-2024) <br>
                    <strong>Changelog:</strong> <br>
                    - Global language change now updates also default language value in the user table for new registered users.
                    <br>
                    - Fixed translation issues in the title for page API keys.<br>
                    - Headers now display the HTML lang attribute based on the application language selected in the settings.<br>
                    <p><strong>Version:</strong> 0.0.0.7 (20-07-2024) <br>
                    <strong>Changelog:</strong> <br>
                    - Enabled hooks to minify the output HTML
                    <br>
                    - Fixed bug with settings checkboxes having the same ID
                    <br>
                    - Now when changing the global language, the administrator's language is also changed.
                    <br>
                    - Fixed tables archivo and keys to utf8mb3_general_ci.
                    <br>
                    - Fixed error handling in the SQL script execution to provide detailed error messages if the script fails.
                    <br>
                    -Fixed a problem with duplicate code.
                    <br>
                    - Addressed an issue where the sidebar content was displayed even when the template was not a sidebar layout.
                    <br>
                    <p><strong>Version:</strong> 0.0.0.6 (18-07-2024) <br>
                    <strong>Changelog:</strong> <br>
                    - Added a basic API key parameter for AJAX requests.
                    <br>
                    - Updated the neoAjaxSend example with the API.
                    <br>
                    - Added a new screen in the admin menu to generate and view/delete the generated API keys
                    <br>
                    - Added a new Keys table to store each user's API keys.
                    <br>
                    - Users can now select their language.</p>
                    <br>
                    <p><strong>Version:</strong> 0.0.0.5 (17-07-2024) <br>
                    <strong>Changelog:</strong> <br>
                    - Updated settings to display content in an accordion format
                    <br>
                    - Added AJAX function to support SELECT, INSERT, UPDATE, and DELETE operations on any table(except system ones)<br>
                    - Added List function to return the specified table and fields in HTML format via AJAX request</p>
                    <br>
                    <p><strong>Version:</strong> 0.0.0.4 (15-07-2024) <br>
                    <strong>Changelog:</strong> <br>
                    - Images are now resized to 320x200 when archived in the design database
                    <br>
                    - Fixed a bug when editing Role and added a back button in Edit Menu and Submit views</p>
                    <br>
                    <p><strong>Version:</strong> 0.0.0.3 (14-07-2024) <br>
                    <strong>Changelog:</strong> <br>
                    - Enhanced security by implementing CSRF protection via tokens in some internal forms, safeguarding against unauthorized actions and malicious requests.
                    <br>
                    - Change old style display (badge as small buttons) to bootstrap. <br>
                    - Created an easy installation wizard.</p>
                    <br>
                    <p><strong>Version:</strong> 0.0.0.1 (12-07-2024) <br>
                    <strong>Changelog:</strong> <br>
                    - Automatic creation of the page title according to the created submenu. <br>
                    - Uniform headers. <br>
                    - About page in admin section. <br>
                    - Translation to 5 languages: Spanish, English, Dutch, Russian, and Persian. <br>
                    - Timezone in settings. <br>
                    - Ability to change the footer in settings. <br>
                    - Upload zip page in the menu section.</p>
                    <p><strong>Version:</strong> 0.0.0.0 (25-06-2024) <br>
                    <strong>Changelog:</strong> <br>
                    - Created Normal, sidebar & image transparent templates<br>
                    - Created Conversion Page Utility<br>
                    - Created User section <br>
                    - Created setting section <br>
                    - Created redirection in Role <br>
                    - Update to PHP 8.3 <br>
                    - Update core system by a personal dev to support PHP 8.3 <br>
                    - Corrected old base code not compatible <p>
                </div>
            </div>
        </div>

        <!-- Quinta sección (License) -->
        <div class="col-md-6">
            <div class="card shadow mb-0">
                <div class="card-header py-3 bg-primary text-white">
                    <h6 class="m-0 font-weight-bold">License</h6>
                </div>
<div class="card-body" style="max-height: 200px; overflow-y: auto;font-size: 11px;">
    <pre>
/**
+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
|L|o|g|i|n|b|a|s|i|c|o|E|m|o| Pro!
+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
* @Author: emo
* @Email: ipademofdz@gmail.com
* Website: https://loginbasicoemo.com
* @Date:   2024-07-09 16:45:37
* @Last Modified by:   emo
* @Last Modified time: 2025-02-08 22:34:26
*
*
* Licensed under the MIT License.
* You may obtain a copy of the license at
* https://opensource.org/licenses/MIT
*
*/
    </pre>

</div>

            </div>
   </div>



    <!-- Listado de Plugins Instalados -->
    <div class="col-md-12">
        <div class="card shadow mb-4">
            <div class="card-header py-3 bg-secondary">
                <h6 class="m-0 font-weight-bold text-white"><i class="fas fa-plug"></i> Installed Plugins</h6>
            </div>
            <div class="card-body">
                <?php if (! empty($installed_plugins)): ?>
                    <ul>
                        <?php foreach ($installed_plugins as $plugin): ?>
                            <li><?php echo $plugin->name; ?> - Version:<?php echo $plugin->version; ?></li>
                        <?php endforeach; ?>
                    </ul>
                <?php else: ?>
                    <p>No installed plugins found.</p>
                <?php endif; ?>
            </div>
        </div>
    </div>




<!-- Log Content Card -->
<div class="col-md-12">
    <div class="card shadow mb-4">
        <div class="card-header py-3 bg-secondary">
            <h6 class="m-0 font-weight-bold text-white">Log</h6>
        </div>
        <div class="card-body" style="max-height: 200px; overflow-y: auto;">
            <pre style="overflow-x: auto;"><?php echo $log_content; ?></pre>
        </div>
    </div>
</div>



</div>




</div>
    <!-- Otras secciones de la vista... -->






<script>
    // Mantén una referencia al intervalo de actualización
    let refreshInterval = setInterval(function () {
        location.reload();
    }, 60000); // cada minuto

    document.getElementById('checkUpdateBtn').addEventListener('click', function () {
        clearInterval(refreshInterval); // Detener el refresco automático

        const currentVersion = '<?php echo isset($app_version) ? $app_version : 'undefined'; ?>'; // Versión actual de la aplicación desde PHP
        console.log('Current Version:', currentVersion); // Depuración: Imprimir la versión actual

        // URL donde está almacenada la versión más reciente
        const versionCheckUrl = 'https://loginbasicoemo.com/updates/version.txt?v=' + new Date().getTime();

        fetch(versionCheckUrl)
            .then(response => {
                if (!response.ok) {
                    throw new Error('Network response was not ok');
                }
                return response.text();
            })
            .then(data => {
                const lines = data.split('\n');
                let latestVersion = '';
                let instructions = '';
                let inInstructions = false;

                for (const line of lines) {
                    if (line.includes('//INSTRUCTIONS_START')) {
                        inInstructions = true;
                        continue;
                    }
                    if (line.includes('//INSTRUCTIONS_END')) {
                        inInstructions = false;
                        continue;
                    }
                    if (inInstructions) {
                        instructions += line.trim() + '<br>';
                    } else if (!latestVersion) {
                        latestVersion = line.trim();
                    }
                }

                console.log('Current Version:', currentVersion);
                console.log('Latest Version:', latestVersion);
                console.log('Instructions:', instructions);

                if (latestVersion !== currentVersion) {
                    // Mostrar alerta de nueva versión con botones Manual, Install y Cancel
                    Swal.fire({
                        title: '<?php echo $this->lang->line('new_version_available'); ?>',
                        html: `<div style="text-align: left;">
                                ${currentVersion} -> ${latestVersion}<br><br>
                                <?php echo $this->lang->line('new_version_text'); ?><br><br>
                                ${instructions}
                               </div>`,
                        icon: 'info',
                        showCancelButton: true,
                        showDenyButton: true,
                        confirmButtonText: '<?php echo $this->lang->line('manual_install'); ?>',
                        denyButtonText: '<?php echo $this->lang->line('automatic_install'); ?>',
                        cancelButtonText: '<?php echo $this->lang->line('cancel'); ?>'
                    }).then((result) => {
                        if (result.isConfirmed) {
                            // Verificar si el archivo ZIP está disponible
                            fetch('https://loginbasicoemo.com/updates/latest_version.zip', { method: 'HEAD' })
                                .then(response => {
                                    if (response.ok) {
                                        // Si el archivo existe, abrir la URL
                                        window.open('https://loginbasicoemo.com/updates/latest_version.zip', '_blank');
                                    } else {
                                        // Si el archivo no existe, mostrar un mensaje de error
                                        Swal.fire({
                                            title: '<?php echo $this->lang->line('error'); ?>',
                                            text: '<?php echo $this->lang->line('file_not_found'); ?>',
                                            icon: 'error',
                                            confirmButtonText: '<?php echo $this->lang->line('ok'); ?>'
                                        }).then(() => {
                                            // Reactivar el refresco automático
                                            refreshInterval = setInterval(function () {
                                                location.reload();
                                            }, 60000); // cada minuto
                                        });
                                    }
                                })
                                .catch(error => {
                                    console.error('Error checking the latest version file:', error);
                                    Swal.fire({
                                        title: '<?php echo $this->lang->line('error'); ?>',
                                        text: '<?php echo $this->lang->line('check_file_error'); ?>',
                                        icon: 'error',
                                        confirmButtonText: '<?php echo $this->lang->line('ok'); ?>'
                                    }).then(() => {
                                        // Reactivar el refresco automático
                                        refreshInterval = setInterval(function () {
                                            location.reload();
                                        }, 60000); // cada minuto
                                    });
                                });
                        } else if (result.isDenied) {
                            // Mostrar advertencia antes de la instalación automática
                            Swal.fire({
                                title: '<?php echo $this->lang->line('warning'); ?>',
                                text: '<?php echo $this->lang->line('backup_warning'); ?>',
                                icon: 'warning',
                                showCancelButton: true,
                                confirmButtonText: '<?php echo $this->lang->line('yes_continue'); ?>',
                                cancelButtonText: '<?php echo $this->lang->line('no_cancel'); ?>'
                            }).then((confirmResult) => {
                                if (confirmResult.isConfirmed) {
                                    // Acción del botón Install
                                    fetch('<?php echo base_url('admin/install_update'); ?>', {
                                        method: 'POST',
                                    })
                                    .then(response => {
                                        if (!response.ok) {
                                            throw new Error('Network response was not ok');
                                        }
                                        return response.text();
                                    })
                                    .then(data => {
                                        Swal.fire({
                                            title: 'Install',
                                            html: data,
                                            icon: 'success',
                                        });
                                    })
                                    .catch(error => {
                                        console.error('Error during installation:', error);
                                        Swal.fire({
                                            title: '<?php echo $this->lang->line('error'); ?>',
                                            html: '<?php echo $this->lang->line('installation_failed'); ?>',
                                            icon: 'error',
                                        });
                                    });
                                } else {
                                    // Reactivar el refresco automático si se cancela
                                    refreshInterval = setInterval(function () {
                                        location.reload();
                                    }, 60000); // cada minuto
                                }
                            });
                        } else if (result.dismiss === Swal.DismissReason.cancel) {
                            // Reactivar el refresco automático si se cancela
                            refreshInterval = setInterval(function () {
                                location.reload();
                            }, 60000); // cada minuto
                        }
                    });
                } else {
                    // No hay nueva versión
                    Swal.fire({
                        title: '<?php echo $this->lang->line('no_updates'); ?>',
                        html: `<div style="text-align: left;">
                                ${currentVersion} -> ${latestVersion}<br><br>
                                <?php echo $this->lang->line('no_updates_text'); ?>
                               </div>`,
                        icon: 'success',
                        confirmButtonText: '<?php echo $this->lang->line('ok'); ?>'
                    }).then(() => {
                        // Reactivar el refresco automático
                        refreshInterval = setInterval(function () {
                            location.reload();
                        }, 60000); // cada minuto
                    });
                }
            })
            .catch(error => {
                console.error('Error checking for new version:', error);
                // Puedes mostrar un mensaje de error o manejar el error de otra manera si es necesario
                Swal.fire({
                    title: '<?php echo $this->lang->line('error'); ?>',
                    html: '<?php echo $this->lang->line('error_checking_version'); ?>',
                    icon: 'error',
                    confirmButtonText: '<?php echo $this->lang->line('ok'); ?>'
                }).then(() => {
                    // Reactivar el refresco automático
                    refreshInterval = setInterval(function () {
                        location.reload();
                    }, 60000); // cada minuto
                });
            });
    });


document.getElementById('backupBtn').addEventListener('click', function () {
    clearInterval(refreshInterval); // Detener el refresco automático

    Swal.fire({
        title: '<?php echo $this->lang->line('creating_backup'); ?>',
        html: '<div class="spinner-border text-primary" role="status"><span class="sr-only"><?php echo $this->lang->line('please_wait_backup'); ?></span></div>',
        showConfirmButton: false,
        allowOutsideClick: false,
        allowEscapeKey: false,
        didOpen: () => {
            //Swal.showLoading();

            // Enviar la solicitud para iniciar el backup
            fetch('<?php echo site_url('admin/backup_site'); ?>', {
                method: 'POST'
            })
            .then(response => response.json())
            .then(data => {
                if (data.status === 'ready') {
                    // Iniciar la descarga del archivo
                    window.location.href = data.url;
                    Swal.close(); // Cerrar el modal de SweetAlert2
                } else {
                    Swal.fire({
                        title: '<?php echo $this->lang->line('error'); ?>',
                        text: '<?php echo $this->lang->line('backup_error'); ?>',
                        icon: 'error',
                        confirmButtonText: '<?php echo $this->lang->line('ok'); ?>'
                    });
                }
            })
            .catch(error => {
                console.error('Error during backup:', error);
                Swal.fire({
                    title: '<?php echo $this->lang->line('error'); ?>',
                    text: '<?php echo $this->lang->line('backup_error'); ?>',
                    icon: 'error',
                    confirmButtonText: '<?php echo $this->lang->line('ok'); ?>'
                });
            })
            .finally(() => {
                // Reactivar el refresco automático
                refreshInterval = setInterval(function () {
                    location.reload();
                }, 60000); // cada minuto
            });
        }
    });
});




</script>


